on startMovie
  global VIDVOLUME
  set VIDVOLUME to 250
  set the soundLevel to 6
end

on stopMovie
  repeat with x = 1 to 120
    set the visible of sprite x to 1
    updateStage()
  end repeat
  clearGlobals()
end

on doButton
  set outBtnNo to the memberNum of sprite the clickOn
  set inBtnNo to outBtnNo + 1
  repeat while the mouseDown
    if rollOver(the clickOn) then
      set the memberNum of sprite the clickOn to inBtnNo
    else
      set the memberNum of sprite the clickOn to outBtnNo
    end if
    updateStage()
  end repeat
  set btnState to rollOver(the clickOn)
  set the memberNum of sprite the clickOn to outBtnNo
  updateStage()
  return btnState
end

on adjustVideoVol
  global VIDVOLUME
  repeat while the mouseDown
    set theVLoc to max(185, min(290, the mouseV))
    set the locV of sprite the clickOn to theVLoc
    set VIDVOLUME to (290 - theVLoc) * 256 / 105
    set the volume of sprite 6 to VIDVOLUME
    updateStage()
  end repeat
end

on initialiseFrame
  global LOOPFRAME, STANDARDCURSOR
  set LOOPFRAME to the frameLabel
  repeat with spriteNo = 1 to 120
    set the visible of sprite spriteNo to 1
  end repeat
  set the visible of sprite 52 to 0
  set the visible of sprite 53 to 0
  set the visible of sprite 71 to 0
  set the visible of sprite 72 to 0
  updateStage()
  cursor(STANDARDCURSOR)
end
